---
title: ':-moz-drag-over'
slug: 'Web/CSS/:-moz-drag-over'
tags:
  - CSS
  - 'CSS:Mozilla Extensions'
  - Firefox
  - Mozilla
  - NeedsCompatTable
  - Non-standard
  - Pseudo-class
  - Reference
  - Selector
---
<div>{{CSSRef}}{{Non-standard_header}}</div>

<p>The <strong><code>:-moz-drag-over</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-class</a> is a <a href="/en-US/docs/Web/CSS/Mozilla_Extensions">Mozilla extension</a> that matches an element when a {{event("dragover")}} event is called on it.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">:-moz-drag-over
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush:html notranslate">&lt;table border="1"&gt;
  &lt;tr&gt;
    &lt;td width="100px" height="100px"&gt;Drag Over&lt;/td&gt;
  &lt;/tr&gt;
&lt;/table&gt;
</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush:css notranslate">td:-moz-drag-over {
  color: red;
}
</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Example")}}</p>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.selectors:-moz-drag-over")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/Mozilla_Extensions">Mozilla CSS extensions</a></li>
 <li><a href="/en-US/docs/Web/API/HTML_Drag_and_Drop_API">HTML drag and drop</a></li>
</ul>
